MolDraw2DDetails.h File Reference
`#include <RDGeneral/export.h>`
`#include <vector>`
`#include <Geometry/point.h>`
`#include <GraphMol/RDKitBase.h>`
`#include <GraphMol/MolDraw2D/MolDraw2D.h>`
`#include <boost/tuple/tuple.hpp>`
`#include <boost/format.hpp>`

Go to the source code of this file.

## Namespaces

| RDKit
| Std stuff.
| RDKit::MolDraw2D_detail

## Functions

RDKIT_MOLDRAW2D_EXPORT void | RDKit::MolDraw2D_detail::arcPoints (const Point2D &cds1, const Point2D &cds2, std::vector< Point2D > &res, float startAng=0, float extent=360)
RDKIT_MOLDRAW2D_EXPORT void | RDKit::MolDraw2D_detail::addStereoAnnotation (const ROMol &mol, bool includeRelativeCIP=false)
| add R/S, relative stereo, and E/Z annotations to atoms and bonds More...
RDKIT_MOLDRAW2D_EXPORT void | RDKit::MolDraw2D_detail::addAtomIndices (const ROMol &mol)
| add annotations with atom indices. More...
RDKIT_MOLDRAW2D_EXPORT void | RDKit::MolDraw2D_detail::addBondIndices (const ROMol &mol)
| add annotations with bond indices. More...
RDKIT_MOLDRAW2D_EXPORT std::vector< Point2D > | RDKit::MolDraw2D_detail::getBracketPoints (const Point2D &p1, const Point2D &p2, const Point2D &refPt, const std::vector< std::pair< Point2D, Point2D >> &bondSegments, double bracketFrac=0.1)
RDKIT_MOLDRAW2D_EXPORT void | RDKit::MolDraw2D_detail::drawShapes (MolDraw2D &drawer, const std::vector< MolDrawShape > &shapes)
RDKIT_MOLDRAW2D_EXPORT std::vector< Point2D > | RDKit::MolDraw2D_detail::handdrawnLine (Point2D cds1, Point2D cds2, double scale, bool shiftBegin=false, bool shiftEnd=false, unsigned nSteps=4, double deviation=0.03, double endShift=0.5)
std::string | RDKit::MolDraw2D_detail::formatDouble (double val)

## Variables

const int | RDKit::MolDraw2D_detail::char_widths []